Loading...
Searching...
No Matches
restinio::so5::so_timer_manager_t::timer_guard_t Class Referencefinal

Timer guard for async operations. More...

`#include <so_timer_manager.hpp>`

## Public Member Functions

| timer_guard_t (so_5::environment_t &env, so_5::mbox_t mbox, std::chrono::steady_clock::duration check_period)
void | schedule (tcp_connection_ctx_weak_handle_t weak_handle)
| Schedule timeout check invocation.
void | cancel () noexcept
| Cancel timeout guard if any.

## Private Attributes

so_5::environment_t & | m_env
const so_5::mbox_t | m_mbox
so_5::timer_id_t | m_current_op_timer
const std::chrono::steady_clock::duration | m_check_period

## Detailed Description

Timer guard for async operations.

Definition at line 67 of file so_timer_manager.hpp.

## Constructor & Destructor Documentation

## timer_guard_t()

restinio::so5::so_timer_manager_t::timer_guard_t::timer_guard_t | ( | so_5::environment_t & | env,
|  | so_5::mbox_t | mbox,
|  | std::chrono::steady_clock::duration | check_period
| ) |  |

inline

Definition at line 70 of file so_timer_manager.hpp.

## Member Function Documentation

## cancel()

void restinio::so5::so_timer_manager_t::timer_guard_t::cancel | ( |  | ) |

inline noexcept

Cancel timeout guard if any.

Note
  Since v.0.6.0 this method is noexcept.

Definition at line 101 of file so_timer_manager.hpp.

## schedule()

void restinio::so5::so_timer_manager_t::timer_guard_t::schedule | ( | tcp_connection_ctx_weak_handle_t | weak_handle | ) |

inline

Schedule timeout check invocation.

Definition at line 81 of file so_timer_manager.hpp.

## Member Data Documentation

## m_check_period

const std::chrono::steady_clock::duration restinio::so5::so_timer_manager_t::timer_guard_t::m_check_period

private

Definition at line 111 of file so_timer_manager.hpp.

## m_current_op_timer

so_5::timer_id_t restinio::so5::so_timer_manager_t::timer_guard_t::m_current_op_timer

private

Definition at line 110 of file so_timer_manager.hpp.

## m_env

so_5::environment_t& restinio::so5::so_timer_manager_t::timer_guard_t::m_env

private

Definition at line 107 of file so_timer_manager.hpp.

## m_mbox

const so_5::mbox_t restinio::so5::so_timer_manager_t::timer_guard_t::m_mbox

private

Definition at line 108 of file so_timer_manager.hpp.

The documentation for this class was generated from the following file:

- restinio/so5/so_timer_manager.hpp